## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# equal_null_terminated_arrays< T > Struct Template Reference

List of all members.

## Public Types

- typedef XALAN_STD_QUALIFIER
  binary_function< const T *,
  const T *, bool > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::first_argument_type first_argument_type
- typedef BaseClassType::second_argument_type second_argument_type

## Public Member Functions

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const
    Compare the values of two objects.

### template<class T>
struct equal_null_terminated_arrays< T >

## Member Typedef Documentation

template<class T>
typedef XALAN_STD_QUALIFIER binary_function<const T*, const T*, bool> equal_null_terminated_arrays< T >::BaseClassType

template<class T>
typedef BaseClassType::first_argument_type equal_null_terminated_arrays< T >::first_argument_type

template<class T>
typedef BaseClassType::result_type equal_null_terminated_arrays< T >::result_type

template<class T>
typedef BaseClassType::second_argument_type equal_null_terminated_arrays< T >::second_argument_type

## Member Function Documentation

template<class T>
result_type equal_null_terminated_arrays< T >::operator() | ( | first_argument_type | theLHS,
|  | second_argument_type | theRHS
| ) | const

Compare the values of two objects.

Parameters:

  theLHS | first object to compare
  theRHS | second object to compare

Returns:
  true if objects are the same

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.